Create a policy binding
curl --request POST \
--url https://api.swarmd.ai/relay/v1/policy-bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupVersion": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.swarmd.ai/relay/v1/policy-bindings"
payload = {
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupVersion": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
groupVersion: '<string>',
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sourceAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sourceUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sinkAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
channelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
priority: 123,
validFrom: '2023-11-07T05:31:56Z',
validTo: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.swarmd.ai/relay/v1/policy-bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupVersion": "<string>",
"isLatestGroupVersion": true,
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sourceAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sinkAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"channel": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"priority": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}Policy Bindings
Create a policy binding
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | TENANT | WRITE | TENANT:WRITE |
POST
/
relay
/
v1
/
policy-bindings
Create a policy binding
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Body
application/json
Available options:
TENANT, AGENT, SUBSCRIPTION, CHANNEL, CHANNEL_SUBSCRIPTION Response
201 - application/json
Created
Available options:
TENANT, AGENT, SUBSCRIPTION, CHANNEL, CHANNEL_SUBSCRIPTION Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
